/*
* React Tooltip
* {@link https://github.com/ReactTooltip/react-tooltip}
* @copyright ReactTooltip Team
* @license MIT
*/
import e,{createContext as t,useState as r,useCallback as o,useMemo as l,useContext as n,useRef as i,useEffect as c,useLayoutEffect as a}from"react";import s from"classnames";import{arrow as u,computePosition as d,offset as p,flip as v,shift as m}from"@floating-ui/dom";function h(e,t){void 0===t&&(t={});var r=t.insertAt;if(e&&"undefined"!=typeof document){var o=document.head||document.getElementsByTagName("head")[0],l=document.createElement("style");l.type="text/css","top"===r&&o.firstChild?o.insertBefore(l,o.firstChild):o.appendChild(l),l.styleSheet?l.styleSheet.cssText=e:l.appendChild(document.createTextNode(e))}}h(":root{--rt-color-white:#fff;--rt-color-dark:#222;--rt-color-success:#8dc572;--rt-color-error:#be6464;--rt-color-warning:#f0ad4e;--rt-color-info:#337ab7;--rt-opacity:0.9}");const f=(e,t,r)=>{let o=null;return function(...l){const n=()=>{o=null,r||e.apply(this,l)};r&&!o&&(e.apply(this,l),o=setTimeout(n,t)),r||(o&&clearTimeout(o),o=setTimeout(n,t))}},y="DEFAULT_TOOLTIP_ID",w={anchorRefs:new Set,activeAnchor:{current:null},attach:()=>{},detach:()=>{},setActiveAnchor:()=>{}},_=t({getTooltipData:()=>w}),b=({children:t})=>{const[n,i]=r({[y]:new Set}),[c,a]=r({[y]:{current:null}}),s=(e,...t)=>{i((r=>{var o;const l=null!==(o=r[e])&&void 0!==o?o:new Set;return t.forEach((e=>l.add(e))),{...r,[e]:new Set(l)}}))},u=(e,...t)=>{i((r=>{const o=r[e];return o?(t.forEach((e=>o.delete(e))),{...r}):r}))},d=o(((e=y)=>{var t,r;return{anchorRefs:null!==(t=n[e])&&void 0!==t?t:new Set,activeAnchor:null!==(r=c[e])&&void 0!==r?r:{current:null},attach:(...t)=>s(e,...t),detach:(...t)=>u(e,...t),setActiveAnchor:t=>((e,t)=>{a((r=>{var o;return(null===(o=r[e])||void 0===o?void 0:o.current)===t.current?r:{...r,[e]:t}}))})(e,t)}}),[n,c,s,u]),p=l((()=>({getTooltipData:d})),[d]);return e.createElement(_.Provider,{value:p},t)};function g(e=y){return n(_).getTooltipData(e)}const S=({tooltipId:t,children:r,className:o,place:l,content:n,html:a,variant:u,offset:d,wrapper:p,events:v,positionStrategy:m,delayShow:h,delayHide:f})=>{const{attach:y,detach:w}=g(t),_=i(null);return c((()=>(y(_),()=>{w(_)})),[]),e.createElement("span",{ref:_,className:s("react-tooltip-wrapper",o),"data-tooltip-place":l,"data-tooltip-content":n,"data-tooltip-html":a,"data-tooltip-variant":u,"data-tooltip-offset":d,"data-tooltip-wrapper":p,"data-tooltip-events":v,"data-tooltip-position-strategy":m,"data-tooltip-delay-show":h,"data-tooltip-delay-hide":f},r)},A="undefined"!=typeof window?a:c,E=async({elementReference:e=null,tooltipReference:t=null,tooltipArrowReference:r=null,place:o="top",offset:l=10,strategy:n="absolute",middlewares:i=[p(Number(l)),v(),m({padding:5})]})=>{if(!e)return{tooltipStyles:{},tooltipArrowStyles:{},place:o};if(null===t)return{tooltipStyles:{},tooltipArrowStyles:{},place:o};const c=i;return r?(c.push(u({element:r,padding:5})),d(e,t,{placement:o,strategy:n,middleware:c}).then((({x:e,y:t,placement:r,middlewareData:o})=>{var l,n;const i={left:`${e}px`,top:`${t}px`},{x:c,y:a}=null!==(l=o.arrow)&&void 0!==l?l:{x:0,y:0};return{tooltipStyles:i,tooltipArrowStyles:{left:null!=c?`${c}px`:"",top:null!=a?`${a}px`:"",right:"",bottom:"",[null!==(n={top:"bottom",right:"left",bottom:"top",left:"right"}[r.split("-")[0]])&&void 0!==n?n:"bottom"]:"-4px"},place:r}}))):d(e,t,{placement:"bottom",strategy:n,middleware:c}).then((({x:e,y:t,placement:r})=>({tooltipStyles:{left:`${e}px`,top:`${t}px`},tooltipArrowStyles:{},place:r})))};var k={tooltip:"styles-module_tooltip__mnnfp",fixed:"styles-module_fixed__7ciUi",arrow:"styles-module_arrow__K0L3T",noArrow:"styles-module_noArrow__T8y2L",clickable:"styles-module_clickable__Bv9o7",show:"styles-module_show__2NboJ",dark:"styles-module_dark__xNqje",light:"styles-module_light__Z6W-X",success:"styles-module_success__A2AKt",warning:"styles-module_warning__SCK0X",error:"styles-module_error__JvumD",info:"styles-module_info__BWdHW"};h(".styles-module_tooltip__mnnfp{border-radius:3px;font-size:90%;left:0;opacity:0;padding:8px 16px;pointer-events:none;position:absolute;top:0;transition:opacity .3s ease-out;visibility:hidden;width:max-content;will-change:opacity,visibility}.styles-module_fixed__7ciUi{position:fixed}.styles-module_arrow__K0L3T{background:inherit;height:8px;position:absolute;transform:rotate(45deg);width:8px}.styles-module_noArrow__T8y2L{display:none}.styles-module_clickable__Bv9o7{pointer-events:auto}.styles-module_show__2NboJ{opacity:var(--rt-opacity);visibility:visible}.styles-module_dark__xNqje{background:var(--rt-color-dark);color:var(--rt-color-white)}.styles-module_light__Z6W-X{background-color:var(--rt-color-white);color:var(--rt-color-dark)}.styles-module_success__A2AKt{background-color:var(--rt-color-success);color:var(--rt-color-white)}.styles-module_warning__SCK0X{background-color:var(--rt-color-warning);color:var(--rt-color-white)}.styles-module_error__JvumD{background-color:var(--rt-color-error);color:var(--rt-color-white)}.styles-module_info__BWdHW{background-color:var(--rt-color-info);color:var(--rt-color-white)}");const T=({id:t,className:o,classNameArrow:l,variant:n="dark",anchorId:a,anchorSelect:u,place:d="top",offset:p=10,events:v=["hover"],openOnClick:m=!1,positionStrategy:h="absolute",middlewares:y,wrapper:w,delayShow:_=0,delayHide:b=0,float:S=!1,hidden:T=!1,noArrow:x=!1,clickable:O=!1,closeOnEsc:L=!1,closeOnScroll:N=!1,closeOnResize:R=!1,style:$,position:C,afterShow:H,afterHide:I,content:W,contentWrapperRef:j,isOpen:q,setIsOpen:z,activeAnchor:D,setActiveAnchor:B})=>{const K=i(null),X=i(null),J=i(null),M=i(null),[U,F]=r(d),[P,Z]=r({}),[Y,G]=r({}),[Q,V]=r(!1),[ee,te]=r(!1),re=i(!1),oe=i(null),{anchorRefs:le,setActiveAnchor:ne}=g(t),ie=i(!1),[ce,ae]=r([]),se=i(!1),ue=m||v.includes("click");A((()=>(se.current=!0,()=>{se.current=!1})),[]),c((()=>{if(!Q){const e=setTimeout((()=>{te(!1)}),150);return()=>{clearTimeout(e)}}return()=>null}),[Q]);const de=e=>{se.current&&(e&&te(!0),setTimeout((()=>{se.current&&(null==z||z(e),void 0===q&&V(e))}),10))};c((()=>{if(void 0===q)return()=>null;q&&te(!0);const e=setTimeout((()=>{V(q)}),10);return()=>{clearTimeout(e)}}),[q]),c((()=>{Q!==re.current&&(re.current=Q,Q?null==H||H():null==I||I())}),[Q]);const pe=(e=b)=>{M.current&&clearTimeout(M.current),M.current=setTimeout((()=>{ie.current||de(!1)}),e)},ve=e=>{var t;if(!e)return;const r=null!==(t=e.currentTarget)&&void 0!==t?t:e.target;if(!(null==r?void 0:r.isConnected))return B(null),void ne({current:null});_?(J.current&&clearTimeout(J.current),J.current=setTimeout((()=>{de(!0)}),_)):de(!0),B(r),ne({current:r}),M.current&&clearTimeout(M.current)},me=()=>{O?pe(b||100):b?pe():de(!1),J.current&&clearTimeout(J.current)},he=({x:e,y:t})=>{E({place:d,offset:p,elementReference:{getBoundingClientRect:()=>({x:e,y:t,width:0,height:0,top:t,left:e,right:e,bottom:t})},tooltipReference:K.current,tooltipArrowReference:X.current,strategy:h,middlewares:y}).then((e=>{Object.keys(e.tooltipStyles).length&&Z(e.tooltipStyles),Object.keys(e.tooltipArrowStyles).length&&G(e.tooltipArrowStyles),F(e.place)}))},fe=e=>{if(!e)return;const t=e,r={x:t.clientX,y:t.clientY};he(r),oe.current=r},ye=e=>{ve(e),b&&pe()},we=e=>{var t;[document.querySelector(`[id='${a}']`),...ce].some((t=>null==t?void 0:t.contains(e.target)))||(null===(t=K.current)||void 0===t?void 0:t.contains(e.target))||de(!1)},_e=f(ve,50,!0),be=f(me,50,!0);c((()=>{var e,t,r;const o=new Set(le);ce.forEach((e=>{o.add({current:e})}));const l=document.querySelector(`[id='${a}']`);l&&o.add({current:l});const n=()=>{de(!1)},i=null===(e=K.current)||void 0===e?void 0:e.parentElement,c=null==D?void 0:D.parentElement;N&&(window.addEventListener("scroll",n),null==i||i.addEventListener("scroll",n),null==c||c.addEventListener("scroll",n)),R&&window.addEventListener("resize",n);const s=e=>{"Escape"===e.key&&de(!1)};L&&window.addEventListener("keydown",s);const u=[];ue?(window.addEventListener("click",we),u.push({event:"click",listener:ye})):(u.push({event:"mouseenter",listener:_e},{event:"mouseleave",listener:be},{event:"focus",listener:_e},{event:"blur",listener:be}),S&&u.push({event:"mousemove",listener:fe}));const d=()=>{ie.current=!0},p=()=>{ie.current=!1,me()};return O&&!ue&&(null===(t=K.current)||void 0===t||t.addEventListener("mouseenter",d),null===(r=K.current)||void 0===r||r.addEventListener("mouseleave",p)),u.forEach((({event:e,listener:t})=>{o.forEach((r=>{var o;null===(o=r.current)||void 0===o||o.addEventListener(e,t)}))})),()=>{var e,t;N&&(window.removeEventListener("scroll",n),null==i||i.removeEventListener("scroll",n),null==c||c.removeEventListener("scroll",n)),R&&window.removeEventListener("resize",n),ue&&window.removeEventListener("click",we),L&&window.removeEventListener("keydown",s),O&&!ue&&(null===(e=K.current)||void 0===e||e.removeEventListener("mouseenter",d),null===(t=K.current)||void 0===t||t.removeEventListener("mouseleave",p)),u.forEach((({event:e,listener:t})=>{o.forEach((r=>{var o;null===(o=r.current)||void 0===o||o.removeEventListener(e,t)}))}))}}),[ee,le,ce,L,v]),c((()=>{let e=null!=u?u:"";!e&&t&&(e=`[data-tooltip-id='${t}']`);const r=new MutationObserver((r=>{const o=[];r.forEach((r=>{if("attributes"===r.type&&"data-tooltip-id"===r.attributeName){r.target.getAttribute("data-tooltip-id")===t&&o.push(r.target)}if("childList"===r.type&&(D&&[...r.removedNodes].some((e=>{var t;return!!(null===(t=null==e?void 0:e.contains)||void 0===t?void 0:t.call(e,D))&&(te(!1),de(!1),B(null),!0)})),e))try{const t=[...r.addedNodes].filter((e=>1===e.nodeType));o.push(...t.filter((t=>t.matches(e)))),o.push(...t.flatMap((t=>[...t.querySelectorAll(e)])))}catch(e){}})),o.length&&ae((e=>[...e,...o]))}));return r.observe(document.body,{childList:!0,subtree:!0,attributes:!0,attributeFilter:["data-tooltip-id"]}),()=>{r.disconnect()}}),[t,u,D]);const ge=()=>{C?he(C):S?oe.current&&he(oe.current):E({place:d,offset:p,elementReference:D,tooltipReference:K.current,tooltipArrowReference:X.current,strategy:h,middlewares:y}).then((e=>{se.current&&(Object.keys(e.tooltipStyles).length&&Z(e.tooltipStyles),Object.keys(e.tooltipArrowStyles).length&&G(e.tooltipArrowStyles),F(e.place))}))};c((()=>{ge()}),[Q,D,W,$,d,p,h,C]),c((()=>{if(!(null==j?void 0:j.current))return()=>null;const e=new ResizeObserver((()=>{ge()}));return e.observe(j.current),()=>{e.disconnect()}}),[W,null==j?void 0:j.current]),c((()=>{var e;const t=document.querySelector(`[id='${a}']`),r=[...ce,t];D&&r.includes(D)||B(null!==(e=ce[0])&&void 0!==e?e:t)}),[a,ce,D]),c((()=>()=>{J.current&&clearTimeout(J.current),M.current&&clearTimeout(M.current)}),[]),c((()=>{let e=u;if(!e&&t&&(e=`[data-tooltip-id='${t}']`),e)try{const t=Array.from(document.querySelectorAll(e));ae(t)}catch(e){ae([])}}),[t,u]);const Se=!T&&W&&Q&&Object.keys(P).length>0;return ee?e.createElement(w,{id:t,role:"tooltip",className:s("react-tooltip",k.tooltip,k[n],o,`react-tooltip__place-${U}`,{[k.show]:Se,[k.fixed]:"fixed"===h,[k.clickable]:O}),style:{...$,...P},ref:K},W,e.createElement(w,{className:s("react-tooltip-arrow",k.arrow,l,{[k.noArrow]:x}),style:Y,ref:X})):null},x=({content:t})=>e.createElement("span",{dangerouslySetInnerHTML:{__html:t}}),O=({id:t,anchorId:o,anchorSelect:l,content:n,html:a,render:s,className:u,classNameArrow:d,variant:p="dark",place:v="top",offset:m=10,wrapper:h="div",children:f=null,events:y=["hover"],openOnClick:w=!1,positionStrategy:_="absolute",middlewares:b,delayShow:S=0,delayHide:A=0,float:E=!1,hidden:k=!1,noArrow:O=!1,clickable:L=!1,closeOnEsc:N=!1,closeOnScroll:R=!1,closeOnResize:$=!1,style:C,position:H,isOpen:I,setIsOpen:W,afterShow:j,afterHide:q})=>{const[z,D]=r(n),[B,K]=r(a),[X,J]=r(v),[M,U]=r(p),[F,P]=r(m),[Z,Y]=r(S),[G,Q]=r(A),[V,ee]=r(E),[te,re]=r(k),[oe,le]=r(h),[ne,ie]=r(y),[ce,ae]=r(_),[se,ue]=r(null),{anchorRefs:de,activeAnchor:pe}=g(t),ve=e=>null==e?void 0:e.getAttributeNames().reduce(((t,r)=>{var o;if(r.startsWith("data-tooltip-")){t[r.replace(/^data-tooltip-/,"")]=null!==(o=null==e?void 0:e.getAttribute(r))&&void 0!==o?o:null}return t}),{}),me=e=>{const t={place:e=>{var t;J(null!==(t=e)&&void 0!==t?t:v)},content:e=>{D(null!=e?e:n)},html:e=>{K(null!=e?e:a)},variant:e=>{var t;U(null!==(t=e)&&void 0!==t?t:p)},offset:e=>{P(null===e?m:Number(e))},wrapper:e=>{var t;le(null!==(t=e)&&void 0!==t?t:h)},events:e=>{const t=null==e?void 0:e.split(" ");ie(null!=t?t:y)},"position-strategy":e=>{var t;ae(null!==(t=e)&&void 0!==t?t:_)},"delay-show":e=>{Y(null===e?S:Number(e))},"delay-hide":e=>{Q(null===e?A:Number(e))},float:e=>{ee(null===e?E:"true"===e)},hidden:e=>{re(null===e?k:"true"===e)}};Object.values(t).forEach((e=>e(null))),Object.entries(e).forEach((([e,r])=>{var o;null===(o=t[e])||void 0===o||o.call(t,r)}))};c((()=>{D(n)}),[n]),c((()=>{K(a)}),[a]),c((()=>{J(v)}),[v]),c((()=>{U(p)}),[p]),c((()=>{P(m)}),[m]),c((()=>{Y(S)}),[S]),c((()=>{Q(A)}),[A]),c((()=>{ee(E)}),[E]),c((()=>{re(k)}),[k]),c((()=>{ae(_)}),[_]),c((()=>{var e;const r=new Set(de);let n=l;if(!n&&t&&(n=`[data-tooltip-id='${t}']`),n)try{document.querySelectorAll(n).forEach((e=>{r.add({current:e})}))}catch(e){console.warn(`[react-tooltip] "${n}" is not a valid CSS selector`)}const i=document.querySelector(`[id='${o}']`);if(i&&r.add({current:i}),!r.size)return()=>null;const c=null!==(e=null!=se?se:i)&&void 0!==e?e:pe.current,a=new MutationObserver((e=>{e.forEach((e=>{var t;if(!c||"attributes"!==e.type||!(null===(t=e.attributeName)||void 0===t?void 0:t.startsWith("data-tooltip-")))return;const r=ve(c);me(r)}))})),s={attributes:!0,childList:!1,subtree:!1};if(c){const e=ve(c);me(e),a.observe(c,s)}return()=>{a.disconnect()}}),[de,pe,se,o,l]);let he=f;const fe=i(null);if(s){const t=s({content:null!=z?z:null,activeAnchor:se});he=t?e.createElement("div",{ref:fe,className:"react-tooltip-content-wrapper"},t):null}else z&&(he=z);B&&(he=e.createElement(x,{content:B}));const ye={id:t,anchorId:o,anchorSelect:l,className:u,classNameArrow:d,content:he,contentWrapperRef:fe,place:X,variant:M,offset:F,wrapper:oe,events:ne,openOnClick:w,positionStrategy:ce,middlewares:b,delayShow:Z,delayHide:G,float:V,hidden:te,noArrow:O,clickable:L,closeOnEsc:N,closeOnScroll:R,closeOnResize:$,style:C,position:H,isOpen:I,setIsOpen:W,afterShow:j,afterHide:q,activeAnchor:se,setActiveAnchor:e=>ue(e)};return e.createElement(T,{...ye})};export{O as Tooltip,b as TooltipProvider,S as TooltipWrapper};
//# sourceMappingURL=react-tooltip.min.mjs.map
